package fr.jussieu.linguist.depLin;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;


/**
 * Title:        deplin
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class DepLinFrame_AboutBox extends JDialog implements ActionListener {

  JPanel panel1 = new JPanel();
  JPanel panel2 = new JPanel();
  BorderLayout borderLayout1 = new BorderLayout();
  BorderLayout borderLayout2 = new BorderLayout();
  String product = "depLin";
  String version = "1.0";

  String copyright = "Copyright (c) 2001-2002";
  String comments = "Kim Gerdes";
  JPanel insetsPanel4 = new JPanel();
  FlowLayout flowLayout1 = new FlowLayout();
  JButton button1 = new JButton();
  JPanel insetsPanel1 = new JPanel();
  BorderLayout borderLayout3 = new BorderLayout();
  JPanel panel3 = new JPanel();
  BorderLayout borderLayout4 = new BorderLayout();
  JLabel jLabel2 = new JLabel();
  JLabel jLabel1 = new JLabel();
  JPanel insetsPanel5 = new JPanel();
  JLabel label1 = new JLabel();
  JLabel imageLabel1 = new JLabel();
  JPanel insetsPanel2 = new JPanel();
  BorderLayout borderLayout6 = new BorderLayout();
  JLabel label6 = new JLabel();
  JLabel label5 = new JLabel();
  JLabel label8 = new JLabel();
  public DepLinFrame_AboutBox(Frame parent) {
    super(parent);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    pack();
  }
  /**Component initialization*/
  private void jbInit() throws Exception  {
    this.setTitle("About");
    setResizable(false);
    panel1.setLayout(borderLayout1);
    panel2.setLayout(borderLayout2);
    insetsPanel4.setLayout(borderLayout3);
    button1.setText("Ok");
    button1.addActionListener(this);
    insetsPanel1.setLayout(flowLayout1);
    panel3.setLayout(borderLayout4);
    jLabel2.setFont(new java.awt.Font("Dialog", 0, 10));
    jLabel2.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel2.setText("(fig) absolute adv thoroughly; pe deplin wholly, entirely, completely");
    jLabel1.setFont(new java.awt.Font("Dialog", 0, 10));
    jLabel1.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel1.setText("in Romanian deplin means: adj whole, full; complete; thorough;");
    insetsPanel5.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
    label1.setFont(new java.awt.Font("SansSerif", 1, 24));
    label1.setText(product);
    imageLabel1.setIcon(new ImageIcon(DepLinFrame_AboutBox.class.getResource("dl.gif")));
    insetsPanel2.setLayout(borderLayout6);
    label6.setHorizontalAlignment(SwingConstants.CENTER);
    label6.setText(copyright);
    label5.setHorizontalAlignment(SwingConstants.CENTER);
    label5.setText(comments);
    label8.setVerticalTextPosition(SwingConstants.TOP);
    label8.setVerticalAlignment(SwingConstants.TOP);
    label8.setText("version 1.0");
    label8.setHorizontalTextPosition(SwingConstants.LEFT);
    label8.setHorizontalAlignment(SwingConstants.CENTER);
    this.getContentPane().add(panel1, null);
    panel2.add(insetsPanel5, BorderLayout.NORTH);
    insetsPanel5.add(imageLabel1, null);
    insetsPanel5.add(label1, null);
    panel2.add(insetsPanel2,  BorderLayout.CENTER);
    insetsPanel2.add(label6, BorderLayout.CENTER);
    insetsPanel2.add(label5, BorderLayout.SOUTH);
    insetsPanel2.add(label8, BorderLayout.NORTH);
    panel1.add(panel3,  BorderLayout.SOUTH);
    panel3.add(jLabel2, BorderLayout.CENTER);
    panel3.add(jLabel1,  BorderLayout.NORTH);
    panel1.add(insetsPanel4,  BorderLayout.NORTH);
    insetsPanel4.add(insetsPanel1,  BorderLayout.SOUTH);
    insetsPanel1.add(button1, null);
    insetsPanel4.add(panel2, BorderLayout.CENTER);
  }
  /**Overridden so we can exit when window is closed*/
  protected void processWindowEvent(WindowEvent e) {
    if (e.getID() == WindowEvent.WINDOW_CLOSING) {
      cancel();
    }
    super.processWindowEvent(e);
  }
  /**Close the dialog*/
  void cancel() {
    dispose();
  }
  /**Close the dialog on a button event*/
  public void actionPerformed(ActionEvent e) {
    if (e.getSource() == button1) {
      cancel();
    }
  }
}