package fr.jussieu.linguist.depLin;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.Iterator;
import org.jdom.*;
import org.jdom.input.SAXBuilder;
import org.jdom.output.XMLOutputter;
import java.beans.*;

import javax.swing.border.*;
import java.util.ArrayList;
import java.util.Vector;
import javax.swing.event.*;
import javax.swing.table.AbstractTableModel;
import javax.swing.table.TableModel;
import fr.jussieu.linguist.arborator.ArboratorFileFilter;
/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2001</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class DepLinRulesEditor extends JFrame {
  JPanel controlPanel = new JPanel();
  BorderLayout borderLayout17 = new BorderLayout();
  JPanel statusPanel = new JPanel();
  JLabel infoBar = new JLabel();
  JLabel statusBar = new JLabel();

  ////////////////////
  DepLinPreferences dpl;
  File grammarFile;
  public Document grammar;
  public Element grammarRoot;
  public SAXBuilder saxBuilder;
  String[] fieldDescriptions = {"*", "?", "!"};
  int selectedFieldIndex;
  Element selectedFieldElement;
  ArrayList commList = new ArrayList();
  ArrayList relationsList = new ArrayList();
  ArrayList catList = new ArrayList();
  ArrayList fieldList = new ArrayList();
  ArrayList boxList = new ArrayList();

  int selectedBoxIndex;
  Element selectedBoxElement;

  int selectedCorrIndex;
  Element selectedCorrElement;
  int selectedCreaIndex;
  Element selectedCreaElement;
  public  boolean grammarChanged = false;

  boolean updating = false;
//  public  boolean corrVisible = true;
//  public  boolean creaVisible = true;
  Icon questionMark = new ImageIcon(DepLinFrame.class.getResource("question.gif"));
  JPanel rulesPanel = new JPanel();
  BorderLayout borderLayoutRules = new BorderLayout();
  JPanel fieldAndBoxPanel = new JPanel();
  BorderLayout borderLayout1 = new BorderLayout();
  JList fieldJList = new JList();
  BorderLayout borderLayout20 = new BorderLayout();
  JPanel corrPanel = new JPanel();
  JTabbedPane jTabbedPane1 = new JTabbedPane();
  JPanel jPanel24 = new JPanel();
  BorderLayout borderLayout25 = new BorderLayout();
  JPanel jPanel36 = new JPanel();
  JPanel jPanel35 = new JPanel();
  JPanel jPanel34 = new JPanel();
  BorderLayout borderLayout212 = new BorderLayout();
  JPanel jPanel29 = new JPanel();
  JPanel jPanel28 = new JPanel();
  JPanel jPanel27 = new JPanel();
  BorderLayout borderLayout33 = new BorderLayout();
  BorderLayout borderLayout32 = new BorderLayout();
  JLabel jLabel6 = new JLabel();
  JPanel jPanel212 = new JPanel();
  BorderLayout borderLayout29 = new BorderLayout();
  BorderLayout borderLayout28 = new BorderLayout();
  BorderLayout borderLayout27 = new BorderLayout();
  BorderLayout borderLayout34 = new BorderLayout();
  JLabel jLabel15 = new JLabel();
  JPanel jPanel23 = new JPanel();
  BorderLayout borderLayout36 = new BorderLayout();
  BorderLayout borderLayout210 = new BorderLayout();
  JPanel jPanel210 = new JPanel();
  JPanel creaPanel = new JPanel();

  BorderLayout borderLayout31 = new BorderLayout();
  JPanel jPanel1 = new JPanel();
  JPanel jPanel32 = new JPanel();
  BorderLayout borderLayout38 = new BorderLayout();
  JButton savebutton = new JButton("Save");
  public JButton saveAsbutton = new JButton();
  JPanel jPanel33 = new JPanel();
  JButton exitbutton = new JButton();
  BorderLayout borderLayout39 = new BorderLayout();
  BorderLayout borderLayout40 = new BorderLayout();
  JTextField maxDomainField = new JTextField();
  private BorderLayout borderLayout6 = new BorderLayout();
  private JPanel jPanel4 = new JPanel();
  private JPanel jPanel6 = new JPanel();

  private BorderLayout borderLayout8 = new BorderLayout();
  private JPanel jPanel16 = new JPanel();
  private JPanel jPanel37 = new JPanel();
  private BorderLayout borderLayout19 = new BorderLayout();
  private JPanel jPanel31 = new JPanel();
  private JPanel jPanel30 = new JPanel();
  private BorderLayout borderLayout37 = new BorderLayout();
  private JPanel jPanel220 = new JPanel();
  private JPanel jPanel2116 = new JPanel();
  private JPanel jPanel2115 = new JPanel();
  private JPanel jPanel2114 = new JPanel();
  private JPanel jPanel2113 = new JPanel();
  private BorderLayout borderLayout30 = new BorderLayout();
  private JComboBox creaNewBoxBox = new JComboBox();
  private JComboBox creaOriginalFieldBox = new JComboBox();
  private JPanel jPanel219 = new JPanel();
  private JLabel jLabel117 = new JLabel();
  private JLabel jLabel116 = new JLabel();
  private JPanel jPanel218 = new JPanel();
  private JLabel jLabel115 = new JLabel();
  private JLabel jLabel114 = new JLabel();
  private JPanel jPanel21 = new JPanel();
  private JLabel jLabel113 = new JLabel();
  private JComboBox creaCommBox = new JComboBox();
  private BorderLayout borderLayout222 = new BorderLayout();
  private BorderLayout borderLayout221 = new BorderLayout();
  private JComboBox creaCatBox = new JComboBox();
  private JComboBox creaFinalFieldBox = new JComboBox();
  private BorderLayout borderLayout21 = new BorderLayout();
  private BorderLayout borderLayout41 = new BorderLayout();
  Vector corrs;
  Vector creas;
  Vector fields;
  Vector boxes;

  AbstractTableModel corrModel = new AbstractTableModel() {
    public int getColumnCount() { return 1; }
    public int getRowCount() { return (corrs!=null)?corrs.size():0;}
    public Object getValueAt(int row, int col) { return getRuleName(row,corrs);}
    public String getColumnName(int col) {return "correspondence rules";}
    public boolean isCellEditable(int row, int col)  {return true;}
    public void setValueAt(Object value, int row, int col) {
      newName(value.toString(),row, corrs,selectedCorrElement,"title");
  };                                               };

  AbstractTableModel creaModel = new AbstractTableModel() {
    public int getColumnCount() { return 1; }
    public int getRowCount() { return (creas!=null)?creas.size():0;}
    public Object getValueAt(int row, int col) { return getRuleName(row,creas);}
    public String getColumnName(int col) {return "box creation rules";}
    public boolean isCellEditable(int row, int col)  {return true;}
    public void setValueAt(Object value, int row, int col) {
      newName(value.toString(),row,creas,selectedCreaElement,"title");
  };                                               };

  AbstractTableModel fieldModel = new AbstractTableModel() {
    public int getColumnCount() { return 1; }
    public int getRowCount() { return (fields!=null)?fields.size():0;}
    public Object getValueAt(int row, int col) { return getRuleName(row,fields);}
    public String getColumnName(int col) {return "fields";}
    public boolean isCellEditable(int row, int col)  {return true;}
    public void setValueAt(Object value, int row, int col) {
      System.out.println("ici");
      newName(value.toString(),row,fields,selectedFieldElement,"name");
  };                                               };

  AbstractTableModel boxModel = new AbstractTableModel() {
   public int getColumnCount() { return 1; }
   public int getRowCount() { return (boxes!=null)?boxes.size():0;}
   public Object getValueAt(int row, int col) { return getRuleName(row, boxes);}
   public String getColumnName(int col) {return "boxes";}
   public boolean isCellEditable(int row, int col)  {return true;}
   public void setValueAt(Object value, int row, int col) {
     newName(value.toString(),row,boxes,selectedBoxElement,"title");
  };                                               };

//  JScrollPane scrollpane = new JScrollPane(table);

  private JTextField penaltyField = new JTextField();
  private BorderLayout borderLayout35 = new BorderLayout();
  private JLabel jLabel14 = new JLabel();
  private JPanel jPanel22 = new JPanel();
  private JLabel jLabel7 = new JLabel();
  private JPanel jPanel2 = new JPanel();
  private JPanel jPanel25 = new JPanel();
  private JComboBox headCatBox = new JComboBox();
  private JPanel jPanel26 = new JPanel();
  private BorderLayout borderLayout214 = new BorderLayout();
  private JLabel jLabel16 = new JLabel();
  private BorderLayout borderLayout22 = new BorderLayout();
  private BorderLayout borderLayout215 = new BorderLayout();
  private JLabel jLabel17 = new JLabel();
  private JPanel jPanel211 = new JPanel();
  private JComboBox headCommBox = new JComboBox();
  private BorderLayout borderLayout216 = new BorderLayout();
  private JPanel jPanel213 = new JPanel();
  private JLabel jLabel18 = new JLabel();
  private JComboBox headFieldBox = new JComboBox();
  private JPanel jPanel38 = new JPanel();
  private JPanel jPanel39 = new JPanel();
  private JPanel jPanel40 = new JPanel();
  private BorderLayout borderLayout218 = new BorderLayout();
  private JPanel jPanel215 = new JPanel();
  private JComboBox childCommBox = new JComboBox();
  private JLabel jLabel19 = new JLabel();
  private JLabel jLabel110 = new JLabel();
  private BorderLayout borderLayout219 = new BorderLayout();
  private JPanel jPanel216 = new JPanel();
  private JComboBox childCatBox = new JComboBox();
  private BorderLayout borderLayout23 = new BorderLayout();
  private JLabel jLabel111 = new JLabel();
  private BorderLayout borderLayout217 = new BorderLayout();
  private JPanel jPanel214 = new JPanel();
  private JComboBox childFieldBox = new JComboBox();
  private JPanel jPanel310 = new JPanel();
  private JPanel jPanel41 = new JPanel();
  private BorderLayout borderLayout42 = new BorderLayout();

  private JTable corrTable = new JTable(corrModel);
  private JScrollPane jScrollPane2 = new JScrollPane(corrTable);
  private JTable creaTable = new JTable(creaModel);
  private JScrollPane jScrollPane3 = new JScrollPane(creaTable);
  private JTable fieldTable = new JTable(fieldModel);
  private JScrollPane jScrollPane4 = new JScrollPane(fieldTable);
  private JTable boxTable = new JTable(boxModel);


  private JPanel jPanel111 = new JPanel();
  private JPanel jPanel110 = new JPanel();
  private JButton corrDeleteButton = new JButton();
  private BorderLayout borderLayout110 = new BorderLayout();
  private BorderLayout borderLayout24 = new BorderLayout();
  private JButton corrNewButton = new JButton();
  private JPanel jPanel42 = new JPanel();
  private JPanel jPanel43 = new JPanel();
  private BorderLayout borderLayout43 = new BorderLayout();
  private JComboBox relationBox = new JComboBox();
  private JLabel jLabel13 = new JLabel();
  private JPanel jPanel44 = new JPanel();
  private JPanel jPanel45 = new JPanel();
  private JPanel jPanel46 = new JPanel();

  private BorderLayout borderLayout44 = new BorderLayout();
  private JButton creaDeleteButton = new JButton();
  private BorderLayout borderLayout111 = new BorderLayout();
  private JButton creaNewButton = new JButton();
  private JPanel jPanel113 = new JPanel();
  private BorderLayout borderLayout45 = new BorderLayout();
  private JSplitPane jSplitPane1 = new JSplitPane();
  private JButton fieldDeleteButton = new JButton();
  private BorderLayout borderLayout47 = new BorderLayout();
  private JPanel jPanel49 = new JPanel();
  private BorderLayout borderLayout46 = new BorderLayout();
  private JPanel jPanel48 = new JPanel();
  private JPanel jPanel18 = new JPanel();
  private JPanel jPanel47 = new JPanel();

  private JPanel jPanel112 = new JPanel();
  private JCheckBox initialFieldCheck = new JCheckBox();
  private JComboBox fieldDescriptionBox = new JComboBox(fieldDescriptions);
  private BorderLayout borderLayout211 = new BorderLayout();
  private BorderLayout borderLayout26 = new BorderLayout();
  private JButton fieldNewButton = new JButton();
  private BorderLayout borderLayout16 = new BorderLayout();
  private BorderLayout borderLayout15 = new BorderLayout();
  private JPanel jPanel8 = new JPanel();
  private JPanel jPanel7 = new JPanel();
  private JPanel jPanel5 = new JPanel();
  private BorderLayout borderLayout3 = new BorderLayout();
  private BorderLayout borderLayout2 = new BorderLayout();
  private JPanel jPanel19 = new JPanel();
  private JScrollPane jScrollPane1 = new JScrollPane(fieldJList);
  private JPanel jPanel3 = new JPanel();
  private BorderLayout borderLayout9 = new BorderLayout();
  private JPanel jPanel9 = new JPanel();
  private BorderLayout borderLayout14 = new BorderLayout();
  private JScrollPane jScrollPane5 = new JScrollPane(boxTable);
  private JPanel jPanel50 = new JPanel();
  private BorderLayout borderLayout48 = new BorderLayout();
  private JPanel jPanel51 = new JPanel();
  private JPanel jPanel52 = new JPanel();
  private BorderLayout borderLayout12 = new BorderLayout();
  private JButton boxDeleteButton = new JButton();
  private JButton boxNewButton = new JButton();
  private JPanel jPanel17 = new JPanel();
  private BorderLayout borderLayout49 = new BorderLayout();
  private JTextField permTextField = new JTextField();
  private JTextField boxAbreviationTextField = new JTextField();
  private BorderLayout borderLayout13 = new BorderLayout();
  private BorderLayout borderLayout11 = new BorderLayout();
  private BorderLayout borderLayout10 = new BorderLayout();
  private JLabel jLabel4 = new JLabel();
  private JLabel jLabel2 = new JLabel();
  private JPanel jPanel15 = new JPanel();
  private JPanel jPanel11 = new JPanel();
  private JPanel jPanel10 = new JPanel();
  private JPanel jPanel53 = new JPanel();
  private JButton fieldDeleteButtonInList = new JButton();
  private JButton addfieldButton = new JButton();
  private BorderLayout borderLayout5 = new BorderLayout();
  private JPanel jPanel13 = new JPanel();
  private JButton upButton = new JButton();
  private JButton downButton = new JButton();
  private BorderLayout borderLayout4 = new BorderLayout();
  private JPanel jPanel12 = new JPanel();
    private Border border1;
    private TitledBorder titledBorder2;



  public DepLinRulesEditor() {
    dpl = new DepLinPreferences();
    setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }
  public DepLinRulesEditor(Document g, File f, DepLinPreferences preferences) {
    dpl = preferences;
    grammar = g;
    grammarFile = f;
    setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
    try {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();

    }
  }



  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    DepLinRulesEditor depLinRulesEditor1 = new DepLinRulesEditor();

    depLinRulesEditor1.pack();
    depLinRulesEditor1.setSize(new Dimension(650,400));

    depLinRulesEditor1.show();
  }

  protected void processWindowEvent(WindowEvent e) {

    if (e.getID() == WindowEvent.WINDOW_CLOSING) {

      exit();

//      super.processWindowEvent(e);
    }
  }



 void jbInit() throws Exception {


    border1 = new EtchedBorder(EtchedBorder.RAISED,Color.white,new Color(148, 145, 140));
        titledBorder2 = new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"");
        this.setDefaultCloseOperation(3);
    this.setIconImage((new ImageIcon(DepLinFrame.class.getResource("dl.gif"))).getImage());
    this.setTitle("depLin Rules Editor");
    this.getContentPane().setLayout(borderLayout20);



    statusPanel.setLayout(borderLayout17);
    statusPanel.setFont(new java.awt.Font("Dialog", 2, 12));
    statusPanel.setForeground(UIManager.getColor("textHighlight"));

    statusPanel.setPreferredSize(new Dimension(163, 25));
    infoBar.setPreferredSize(new Dimension(1255, 12));
    infoBar.setHorizontalAlignment(SwingConstants.TRAILING);
    infoBar.setText("deplin");


    infoBar.setBorder(BorderFactory.createEtchedBorder());
    statusBar.setBorder(BorderFactory.createEtchedBorder());

    statusBar.setPreferredSize(new Dimension(1255, 12));
    statusBar.setText("Welcome!");

    rulesPanel.setLayout(borderLayoutRules);
    //!!   rulesPanel.setVisible(false);


    fieldAndBoxPanel.setLayout(borderLayout1);

    controlPanel.setPreferredSize(new Dimension(440, 48));


    fieldJList.setFont(new java.awt.Font("Dialog", 0, 12));
        fieldJList.setSelectedIndex(0);
        fieldJList.setSelectionBackground(Color.red);

    fieldJList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    jPanel24.setLayout(borderLayout25);
    jPanel36.setLayout(borderLayout33);
    jPanel34.setLayout(borderLayout32);
    jPanel29.setLayout(borderLayout29);
    jPanel28.setLayout(borderLayout28);
    jPanel27.setLayout(borderLayout27);
    jLabel6.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel6.setText("|");
    jPanel212.setLayout(borderLayout212);
    jPanel28.setBorder(BorderFactory.createEtchedBorder());
    jPanel35.setLayout(borderLayout34);
    jLabel15.setHorizontalAlignment(SwingConstants.RIGHT);
    jLabel15.setText("maxDomainBorder:");
    jPanel23.setLayout(borderLayout36);
    jPanel210.setLayout(borderLayout210);
    jPanel210.setBorder(BorderFactory.createEtchedBorder());

    creaPanel.setLayout(borderLayout31);

    jPanel1.setLayout(borderLayout38);
    savebutton.setEnabled(false);
    savebutton.setFont(new java.awt.Font("Dialog", 0, 12));
    savebutton.setBorder(titledBorder2);
    savebutton.setMinimumSize(new Dimension(69, 20));
    savebutton.setPreferredSize(new Dimension(73, 20));

    savebutton.setIcon(new ImageIcon(DepLinRulesEditor.class.getResource("save.gif")));
    savebutton.setMargin(new Insets(2, 2, 2, 2));



    saveAsbutton.setText("Save as...");

    saveAsbutton.setMargin(new Insets(2, 2, 2, 2));
    saveAsbutton.setIcon(new ImageIcon(DepLinRulesEditor.class.getResource("save.gif")));
    saveAsbutton.setPreferredSize(new Dimension(100, 20));
    saveAsbutton.setMinimumSize(new Dimension(69, 20));
    saveAsbutton.setBorder(BorderFactory.createEtchedBorder());
    saveAsbutton.setEnabled(false);
    saveAsbutton.setFont(new java.awt.Font("Dialog", 0, 12));

    exitbutton.setText("EXIT");

    exitbutton.setMargin(new Insets(2, 2, 2, 2));
    exitbutton.setPreferredSize(new Dimension(73, 19));
    exitbutton.setToolTipText("");
    exitbutton.setMinimumSize(new Dimension(69, 20));
    exitbutton.setBorder(BorderFactory.createEtchedBorder());
    exitbutton.setFont(new java.awt.Font("Dialog", 0, 12));
    exitbutton.setForeground(Color.red);
    jPanel33.setLayout(borderLayout39);
    jPanel32.setLayout(borderLayout40);
    maxDomainField.setPreferredSize(new Dimension(30, 21));
    maxDomainField.setToolTipText("the maximal thickness the relation can cross");

    maxDomainField.setFont(new java.awt.Font("SansSerif", 0, 12));
    maxDomainField.setForeground(Color.blue);
    corrPanel.setOpaque(false);
        corrPanel.setPreferredSize(new Dimension(506, 442));
    corrPanel.setLayout(borderLayout6);
    jPanel4.setMaximumSize(new Dimension(2147, 2144));
    jPanel4.setPreferredSize(new Dimension(200, 342));
    jPanel4.setLayout(borderLayout8);


    jPanel37.setLayout(borderLayout19);
    jPanel31.setLayout(borderLayout30);

    jPanel30.setLayout(borderLayout21);
    jPanel30.setBorder(BorderFactory.createRaisedBevelBorder());
    jPanel220.setBorder(BorderFactory.createRaisedBevelBorder());
    jPanel220.setLayout(borderLayout37);

    creaNewBoxBox.setMaximumRowCount(20);
    creaNewBoxBox.setPreferredSize(new Dimension(60, 19));
    creaNewBoxBox.setToolTipText("the box that will be created");
    creaNewBoxBox.setFont(new java.awt.Font("Dialog", 0, 12));
    creaNewBoxBox.setForeground(Color.blue);
    creaNewBoxBox.setMaximumSize(new Dimension(119, 19));

    creaOriginalFieldBox.setMaximumRowCount(20);
    creaOriginalFieldBox.setPreferredSize(new Dimension(60, 19));
    creaOriginalFieldBox.setToolTipText("the field the element is in before application of the rule");
    creaOriginalFieldBox.setFont(new java.awt.Font("Dialog", 0, 12));
    creaOriginalFieldBox.setMaximumSize(new Dimension(119, 19));
    jPanel219.setLayout(borderLayout222);
    jLabel117.setText("comm: ");
    jLabel117.setFont(new java.awt.Font("Dialog", 0, 12));
    jLabel116.setText("original field:");
    jLabel116.setFont(new java.awt.Font("Dialog", 0, 12));
    jPanel218.setLayout(borderLayout221);
    jPanel218.setBorder(BorderFactory.createEtchedBorder());
    jLabel115.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel115.setText("    cat:");
    jLabel114.setText("new box:");
    jLabel114.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel113.setFont(new java.awt.Font("Dialog", 0, 12));
    jLabel113.setText("final field:");

    creaCommBox.setMaximumRowCount(20);
    creaCommBox.setEditable(true);
    creaCommBox.setPreferredSize(new Dimension(60, 19));
    creaCommBox.setToolTipText("the communicative value of the element");
    creaCommBox.setFont(new java.awt.Font("Dialog", 0, 12));

    creaCatBox.setMaximumRowCount(20);
    creaCatBox.setEditable(true);
    creaCatBox.setPreferredSize(new Dimension(60, 19));
    creaCatBox.setToolTipText("the category of the element");
    creaCatBox.setFont(new java.awt.Font("Dialog", 1, 12));
    creaFinalFieldBox.setFont(new java.awt.Font("Dialog", 0, 12));
    creaFinalFieldBox.setForeground(Color.blue);
    creaFinalFieldBox.setPreferredSize(new Dimension(60, 19));
    creaFinalFieldBox.setToolTipText("the place the element will take in the new box");
    creaFinalFieldBox.setMaximumRowCount(20);

    jPanel16.setPreferredSize(new Dimension(300, 342));
    jPanel16.setLayout(borderLayout41);


    penaltyField.setFont(new java.awt.Font("SansSerif", 0, 12));
    penaltyField.setForeground(Color.blue);
    penaltyField.setPreferredSize(new Dimension(30, 21));
    penaltyField.setToolTipText("how expensive is this rule?");
    jLabel14.setText("penalty:");
    jPanel22.setLayout(borderLayout35);
    jLabel7.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel7.setText("V");
    jPanel2.setMinimumSize(new Dimension(80, 10));
    jPanel2.setPreferredSize(new Dimension(40, 10));

    headCatBox.setMaximumRowCount(20);
    headCatBox.setEditable(true);
    headCatBox.setPreferredSize(new Dimension(60, 19));
    headCatBox.setToolTipText("the category of the head");
    headCatBox.setFont(new java.awt.Font("Dialog", 1, 12));
    jPanel26.setLayout(borderLayout214);
    jLabel16.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel16.setText("  head:");
    jPanel25.setLayout(borderLayout22);
    jLabel17.setFont(new java.awt.Font("Dialog", 0, 12));
    jLabel17.setToolTipText("");
    jLabel17.setText("  comm:");
    jPanel211.setLayout(borderLayout215);
    jPanel211.setFont(new java.awt.Font("Dialog", 0, 12));

    headCommBox.setMaximumRowCount(20);
    headCommBox.setEditable(true);
    headCommBox.setPreferredSize(new Dimension(60, 19));
    headCommBox.setToolTipText("the communicative value of the head");
    headCommBox.setFont(new java.awt.Font("SansSerif", 0, 12));
    jPanel213.setLayout(borderLayout216);
    jLabel18.setFont(new java.awt.Font("Dialog", 0, 12));
    jLabel18.setText("       field:");
    headFieldBox.setFont(new java.awt.Font("Dialog", 0, 12));
    headFieldBox.setPreferredSize(new Dimension(60, 19));
    headFieldBox.setToolTipText("the field the head has to be in");
    headFieldBox.setMaximumRowCount(20);

    jPanel38.setPreferredSize(new Dimension(40, 10));
    jPanel38.setMinimumSize(new Dimension(80, 10));
    jPanel39.setPreferredSize(new Dimension(40, 10));
    jPanel39.setMinimumSize(new Dimension(80, 10));
    jPanel215.setLayout(borderLayout218);
    jPanel215.setFont(new java.awt.Font("Dialog", 0, 12));

    childCommBox.setMaximumRowCount(20);
    childCommBox.setEditable(true);
    childCommBox.setPreferredSize(new Dimension(60, 19));
    childCommBox.setToolTipText("the communicative value of the child");
    childCommBox.setFont(new java.awt.Font("SansSerif", 0, 12));
    jLabel19.setText("comm:");
    jLabel19.setToolTipText("");
    jLabel19.setFont(new java.awt.Font("Dialog", 0, 12));
    jLabel110.setText("child:");
    jLabel110.setFont(new java.awt.Font("Dialog", 1, 12));
    jPanel216.setLayout(borderLayout219);
    childCatBox.setFont(new java.awt.Font("Dialog", 1, 12));
    childCatBox.setPreferredSize(new Dimension(60, 19));
    childCatBox.setToolTipText("the category of the child");
    childCatBox.setEditable(true);
    childCatBox.setMaximumRowCount(20);

    jPanel40.setLayout(borderLayout23);
    jLabel111.setFont(new java.awt.Font("Dialog", 0, 12));
    jLabel111.setText("     field:");
    jPanel214.setLayout(borderLayout217);
    childFieldBox.setFont(new java.awt.Font("Dialog", 0, 12));
    childFieldBox.setForeground(Color.blue);
    childFieldBox.setPreferredSize(new Dimension(60, 19));
    childFieldBox.setToolTipText("the field the child can go to");
    childFieldBox.setMaximumRowCount(20);

    jPanel310.setMinimumSize(new Dimension(80, 10));
    jPanel310.setPreferredSize(new Dimension(40, 10));
    jPanel41.setLayout(borderLayout42);
    corrTable.setGridColor(Color.lightGray);
    corrTable.setSelectionBackground(Color.red);
    creaTable.setGridColor(Color.lightGray);
    creaTable.setSelectionBackground(Color.red);
    jScrollPane2.setPreferredSize(new Dimension(260, 342));
    jScrollPane2.setPreferredSize(new Dimension(360, 342));
    jPanel111.setLayout(borderLayout24);
    jPanel111.setBorder(BorderFactory.createEtchedBorder());
    jPanel110.setLayout(borderLayout110);
    corrDeleteButton.setForeground(Color.red);
    corrDeleteButton.setFont(new java.awt.Font("Dialog", 0, 12));
    corrDeleteButton.setMargin(new Insets(0, 0, 0, 0));
    corrDeleteButton.setHorizontalTextPosition(SwingConstants.CENTER);
    corrDeleteButton.setPreferredSize(new Dimension(22, 19));
    corrDeleteButton.setToolTipText("get rid of this correspondence rule");

    corrDeleteButton.setText("X");

    corrNewButton.setText("new");
    corrNewButton.setMargin(new Insets(0, 0, 0, 0));
    corrNewButton.setPreferredSize(new Dimension(30, 19));
    corrNewButton.setToolTipText("make a new correspondence rule");
    corrNewButton.setFont(new java.awt.Font("Dialog", 0, 12));
    corrNewButton.setForeground(Color.blue);
    jPanel42.setPreferredSize(new Dimension(40, 10));
    jPanel42.setMinimumSize(new Dimension(80, 10));
    jPanel43.setLayout(borderLayout43);

    relationBox.setMaximumRowCount(20);
    relationBox.setEditable(true);
    relationBox.setPreferredSize(new Dimension(60, 19));
    relationBox.setToolTipText("the syntactic relation between the head and the child");
    relationBox.setFont(new java.awt.Font("SansSerif", 0, 12));
    jLabel13.setFont(new java.awt.Font("Dialog", 1, 12));
    jLabel13.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel13.setText("relation:");
    jPanel44.setMinimumSize(new Dimension(80, 10));
    jPanel44.setPreferredSize(new Dimension(40, 10));
    jPanel212.setBorder(BorderFactory.createEtchedBorder());

    jPanel45.setLayout(borderLayout44);
    creaDeleteButton.setForeground(Color.red);
    creaDeleteButton.setFont(new java.awt.Font("Dialog", 0, 12));
    creaDeleteButton.setMargin(new Insets(0, 0, 0, 0));
    creaDeleteButton.setHorizontalTextPosition(SwingConstants.CENTER);
    creaDeleteButton.setPreferredSize(new Dimension(22, 19));
    creaDeleteButton.setToolTipText("get rid of this box creation rule");

    creaDeleteButton.setText("X");

    creaNewButton.setText("new");
    creaNewButton.setMargin(new Insets(0, 0, 0, 0));
    creaNewButton.setPreferredSize(new Dimension(30, 19));
    creaNewButton.setToolTipText("make new box creation rule");
    creaNewButton.setFont(new java.awt.Font("Dialog", 0, 12));
    creaNewButton.setForeground(Color.blue);
    jPanel113.setLayout(borderLayout111);
    jPanel46.setLayout(borderLayout45);
    fieldDeleteButton.setText("X");

    fieldDeleteButton.setPreferredSize(new Dimension(22, 19));
    fieldDeleteButton.setToolTipText("get rid of the selected field");
    fieldDeleteButton.setMargin(new Insets(0, 0, 0, 0));
    fieldDeleteButton.setFont(new java.awt.Font("Dialog", 0, 12));
    fieldDeleteButton.setForeground(Color.red);
    jPanel49.setMaximumSize(new Dimension(2147, 2144));
    jPanel49.setPreferredSize(new Dimension(200, 60));
    jPanel49.setLayout(borderLayout47);
    jPanel48.setLayout(borderLayout46);
    jPanel47.setLayout(borderLayout26);
    jPanel47.setPreferredSize(new Dimension(200, 284));
    jScrollPane4.setPreferredSize(new Dimension(360, 342));
    jScrollPane4.setPreferredSize(new Dimension(200, 342));
    jPanel112.setBorder(BorderFactory.createEtchedBorder());
    jPanel112.setLayout(borderLayout211);
    initialFieldCheck.setText("initial?");

    initialFieldCheck.setSelected(false);
    initialFieldCheck.setPreferredSize(new Dimension(66, 19));
    initialFieldCheck.setToolTipText("one field must be initial");
    initialFieldCheck.setHorizontalTextPosition(SwingConstants.LEFT);
    initialFieldCheck.setFont(new java.awt.Font("Dialog", 0, 12));
    fieldDescriptionBox.setFont(new java.awt.Font("SansSerif", 0, 12));
    fieldDescriptionBox.setPreferredSize(new Dimension(30, 19));
    fieldDescriptionBox.setToolTipText("choose description");

    fieldNewButton.setPreferredSize(new Dimension(32, 19));
    fieldNewButton.setForeground(Color.blue);
    fieldNewButton.setFont(new java.awt.Font("Dialog", 0, 12));
    fieldNewButton.setPreferredSize(new Dimension(30, 19));
    fieldNewButton.setToolTipText("add another field");
    fieldNewButton.setMargin(new Insets(0, 0, 0, 0));
    fieldNewButton.setText("new");

    jPanel8.setLayout(borderLayout3);
    jPanel7.setBorder(BorderFactory.createLoweredBevelBorder());
    jPanel7.setLayout(borderLayout2);
    jPanel5.setBorder(BorderFactory.createEtchedBorder());
    jPanel5.setLayout(borderLayout15);
    jPanel19.setLayout(borderLayout16);
    jScrollPane1.setAutoscrolls(true);
    jScrollPane1.setBorder(null);
    jScrollPane1.setPreferredSize(new Dimension(100, 70));

    jPanel3.setLayout(borderLayout9);
    jPanel9.setLayout(borderLayout14);
    jPanel50.setLayout(borderLayout48);
    boxDeleteButton.setText("X");

    boxDeleteButton.setPreferredSize(new Dimension(22, 19));
    boxDeleteButton.setToolTipText("get rid of the selected box");
    boxDeleteButton.setHorizontalTextPosition(SwingConstants.CENTER);
    boxDeleteButton.setMargin(new Insets(0, 0, 0, 0));
    boxDeleteButton.setFont(new java.awt.Font("Dialog", 0, 12));
    boxDeleteButton.setForeground(Color.red);
    boxNewButton.setForeground(Color.blue);
    boxNewButton.setFont(new java.awt.Font("Dialog", 0, 12));
    boxNewButton.setPreferredSize(new Dimension(30, 19));
    boxNewButton.setToolTipText("add a new box");
    boxNewButton.setMargin(new Insets(0, 0, 0, 0));
    boxNewButton.setText("new");

    jPanel17.setLayout(borderLayout12);
    jPanel52.setLayout(borderLayout49);
    permTextField.setPreferredSize(new Dimension(30, 21));
    permTextField.setToolTipText("thickness of the box");
    boxAbreviationTextField.setPreferredSize(new Dimension(30, 21));
    boxAbreviationTextField.setToolTipText("abreviation that appears in the topological tree");
    jLabel4.setText("abreviation: ");
    jLabel2.setText("permeability: ");
    jPanel15.setLayout(borderLayout11);
    jPanel11.setLayout(borderLayout10);
    jPanel10.setLayout(borderLayout13);
    jPanel9.setPreferredSize(new Dimension(150, 200));
    jPanel3.setPreferredSize(new Dimension(150, 200));
    jPanel8.setMinimumSize(new Dimension(100, 46));
    jPanel8.setPreferredSize(new Dimension(80, 70));
    fieldDeleteButtonInList.setForeground(Color.red);
    fieldDeleteButtonInList.setMaximumSize(new Dimension(80, 23));
    fieldDeleteButtonInList.setFont(new java.awt.Font("Dialog", 0, 12));
    fieldDeleteButtonInList.setMinimumSize(new Dimension(45, 19));
    fieldDeleteButtonInList.setPreferredSize(new Dimension(80, 19));
    fieldDeleteButtonInList.setToolTipText("get rid of the selected field in this box");
    fieldDeleteButtonInList.setMargin(new Insets(0, 0, 0, 0));

    fieldDeleteButtonInList.setText("X");
    addfieldButton.setPreferredSize(new Dimension(62, 19));

    addfieldButton.setText("add field");
    addfieldButton.setPreferredSize(new Dimension(30, 19));
    addfieldButton.setFont(new java.awt.Font("Dialog", 0, 12));
    addfieldButton.setForeground(Color.blue);
    addfieldButton.setMaximumSize(new Dimension(80, 23));
    addfieldButton.setPreferredSize(new Dimension(80, 19));
    addfieldButton.setToolTipText("add the above selected field to the box");
    addfieldButton.setMargin(new Insets(0, 0, 0, 0));
    jPanel13.setLayout(borderLayout5);
    upButton.setPreferredSize(new Dimension(52, 19));
    upButton.setForeground(Color.blue);
    upButton.setMaximumSize(new Dimension(80, 23));
    upButton.setFont(new java.awt.Font("Dialog", 0, 12));
    upButton.setPreferredSize(new Dimension(30, 19));

    upButton.setText("up");

    upButton.setPreferredSize(new Dimension(80, 19));
    upButton.setToolTipText("move the selected field up");
    upButton.setMargin(new Insets(0, 0, 0, 0));
    downButton.setPreferredSize(new Dimension(52, 19));
    downButton.setForeground(Color.blue);
    downButton.setMaximumSize(new Dimension(80, 23));
    downButton.setFont(new java.awt.Font("Dialog", 0, 12));
    downButton.setPreferredSize(new Dimension(30, 19));

    downButton.setText("down");

    downButton.setPreferredSize(new Dimension(80, 19));
    downButton.setToolTipText("move the selected field down");
    downButton.setMargin(new Insets(0, 0, 0, 0));
    jPanel12.setLayout(borderLayout4);
    jPanel53.setPreferredSize(new Dimension(100, 48));
    jPanel13.setPreferredSize(new Dimension(80, 38));
    jPanel12.setPreferredSize(new Dimension(80, 38));
    jPanel19.setPreferredSize(new Dimension(150, 74));
    jScrollPane5.setPreferredSize(new Dimension(454, 160));
    jTabbedPane1.setPreferredSize(new Dimension(516, 270));
    fieldTable.setSelectionBackground(Color.red);
    boxTable.setSelectionBackground(Color.red);
    rulesPanel.setPreferredSize(new Dimension(616, 320));
    jPanel37.setPreferredSize(new Dimension(206, 248));
        jPanel1.add(jPanel32, BorderLayout.WEST);
    jPanel32.add(savebutton, BorderLayout.WEST);
    jPanel32.add(saveAsbutton, BorderLayout.CENTER);
    jPanel1.add(jPanel33, BorderLayout.NORTH);
    jPanel33.add(exitbutton, BorderLayout.CENTER);
    fieldAndBoxPanel.add(jSplitPane1,  BorderLayout.CENTER);
    jSplitPane1.add(jPanel47, JSplitPane.LEFT);
    jPanel112.add(fieldNewButton, BorderLayout.CENTER);
    jPanel112.add(fieldDeleteButton, BorderLayout.EAST);
    jPanel49.add(jPanel18, BorderLayout.NORTH);
    jPanel49.add(jPanel112, BorderLayout.SOUTH);
    jPanel18.add(fieldDescriptionBox, null);
    jPanel18.add(initialFieldCheck, null);
    jPanel47.add(jPanel48, BorderLayout.CENTER);
    jPanel48.add(jScrollPane4, BorderLayout.CENTER);
    jSplitPane1.add(jPanel5, JSplitPane.RIGHT);
    jPanel5.add(jPanel19, BorderLayout.CENTER);
    jPanel5.add(jPanel3,  BorderLayout.WEST);
    jPanel3.add(jPanel9,  BorderLayout.CENTER);
    jPanel9.add(jScrollPane5, BorderLayout.NORTH);
    jPanel3.add(jPanel50,  BorderLayout.SOUTH);
    jPanel50.add(jPanel51,  BorderLayout.NORTH);
    jPanel51.add(jPanel15, null);
    jPanel11.add(jLabel4, BorderLayout.CENTER);
    jPanel11.add(boxAbreviationTextField, BorderLayout.EAST);
    jPanel15.add(jPanel10, BorderLayout.SOUTH);
    jPanel15.add(jPanel11, BorderLayout.NORTH);
    jPanel10.add(jLabel2, BorderLayout.CENTER);
    jPanel10.add(permTextField, BorderLayout.EAST);
    jPanel50.add(jPanel52,  BorderLayout.SOUTH);
    jPanel52.add(jPanel17, BorderLayout.CENTER);
    jPanel17.add(boxDeleteButton, BorderLayout.EAST);
    jPanel17.add(boxNewButton, BorderLayout.CENTER);
    jPanel19.add(jPanel7, BorderLayout.CENTER);
    jPanel7.add(jPanel8,  BorderLayout.CENTER);
    jPanel8.add(jScrollPane1,  BorderLayout.CENTER);
    jPanel8.add(jPanel53,  BorderLayout.EAST);
    jPanel12.add(downButton, BorderLayout.SOUTH);
    jPanel12.add(upButton, BorderLayout.NORTH);
    jPanel53.add(jPanel12, null);
    jPanel53.add(jPanel13, null);
    jPanel13.add(addfieldButton, BorderLayout.NORTH);
    jPanel13.add(fieldDeleteButtonInList, BorderLayout.SOUTH);
    jPanel47.add(jPanel49, BorderLayout.SOUTH);
    jPanel28.add(jPanel2,  BorderLayout.WEST);
    jPanel28.add(jPanel25,  BorderLayout.CENTER);
    jPanel26.add(headCatBox, BorderLayout.CENTER);
    jPanel26.add(jLabel16, BorderLayout.WEST);
    jPanel25.add(jPanel211, BorderLayout.SOUTH);
    jPanel25.add(jPanel26, BorderLayout.CENTER);
    jPanel211.add(headCommBox, BorderLayout.CENTER);
    jPanel211.add(jLabel17, BorderLayout.WEST);
    jPanel25.add(jPanel213, BorderLayout.NORTH);
    jPanel213.add(headFieldBox, BorderLayout.CENTER);
    jPanel213.add(jLabel18, BorderLayout.WEST);
    jPanel28.add(jPanel38,  BorderLayout.EAST);
    corrPanel.add(jPanel4,  BorderLayout.CENTER);
    jPanel4.add(jPanel41,  BorderLayout.CENTER);
    jPanel41.add(jScrollPane2,  BorderLayout.CENTER);
    jPanel4.add(jPanel111,  BorderLayout.SOUTH);
    jPanel111.add(jPanel110,  BorderLayout.SOUTH);
    jPanel110.add(corrDeleteButton, BorderLayout.EAST);
    jPanel110.add(corrNewButton, BorderLayout.CENTER);
    jPanel16.add(jPanel45,  BorderLayout.CENTER);
    jPanel45.add(jScrollPane3, BorderLayout.CENTER);
    jPanel16.add(jPanel46,  BorderLayout.SOUTH);
    jPanel46.add(jPanel113, BorderLayout.CENTER);
    jPanel113.add(creaDeleteButton, BorderLayout.EAST);
    jPanel113.add(creaNewButton, BorderLayout.CENTER);
    corrPanel.add(jPanel6,  BorderLayout.EAST);
    jPanel210.add(jPanel39,  BorderLayout.WEST);
    jPanel210.add(jPanel40,  BorderLayout.CENTER);
    jPanel216.add(childCatBox, BorderLayout.CENTER);
    jPanel216.add(jLabel110, BorderLayout.WEST);
    jPanel40.add(jPanel215, BorderLayout.SOUTH);
    jPanel40.add(jPanel216, BorderLayout.CENTER);
    jPanel215.add(childCommBox, BorderLayout.CENTER);
    jPanel215.add(jLabel19, BorderLayout.WEST);
    jPanel40.add(jPanel214, BorderLayout.NORTH);
    jPanel214.add(childFieldBox, BorderLayout.CENTER);
    jPanel214.add(jLabel111, BorderLayout.WEST);
    jPanel210.add(jPanel310,  BorderLayout.EAST);
    jPanel27.add(jPanel29, BorderLayout.CENTER);
    jPanel27.add(jPanel210, BorderLayout.SOUTH);
    jPanel6.add(jPanel27, null);
    jPanel6.add(jPanel24, null);

    creaPanel.add(jPanel16,  BorderLayout.CENTER);
    creaPanel.add(jPanel37,  BorderLayout.EAST);
    jPanel37.add(jPanel31, BorderLayout.CENTER);
    jPanel21.add(jLabel115, null);
    jPanel21.add(creaCatBox, null);
    jPanel220.add(jPanel2116, BorderLayout.CENTER);
    jPanel220.add(jPanel21, BorderLayout.NORTH);
    jPanel2116.add(jLabel117, null);
    jPanel2116.add(creaCommBox, BorderLayout.CENTER);
    jPanel218.add(jPanel2113, BorderLayout.NORTH);
    jPanel218.add(jPanel220, BorderLayout.CENTER);
    jPanel2113.add(jLabel113, null);
    jPanel2113.add(creaFinalFieldBox, BorderLayout.CENTER);
    jPanel30.add(jPanel2114, BorderLayout.NORTH);
    jPanel30.add(jPanel219, BorderLayout.CENTER);
    jPanel219.add(jPanel218, BorderLayout.CENTER);
    jPanel2114.add(jLabel114, null);
    jPanel2114.add(creaNewBoxBox, BorderLayout.CENTER);
    jPanel31.add(jPanel2115, BorderLayout.NORTH);
    jPanel31.add(jPanel30, BorderLayout.CENTER);
    jPanel2115.add(jLabel116, null);
    jPanel2115.add(creaOriginalFieldBox, BorderLayout.CENTER);
    jPanel35.add(jPanel42,  BorderLayout.WEST);
    jPanel35.add(jPanel43,  BorderLayout.CENTER);
    jPanel43.add(relationBox,  BorderLayout.SOUTH);
    jPanel43.add(jLabel13, BorderLayout.NORTH);
    jPanel35.add(jPanel44,  BorderLayout.EAST);
    jPanel212.add(jPanel36, BorderLayout.SOUTH);
    jPanel212.add(jPanel35, BorderLayout.CENTER);
    jPanel23.add(jLabel15,  BorderLayout.WEST);
    jPanel23.add(maxDomainField,  BorderLayout.EAST);
    jPanel36.add(jPanel22, BorderLayout.SOUTH);
    jPanel36.add(jPanel23, BorderLayout.CENTER);
    jPanel22.add(jLabel14,  BorderLayout.WEST);
    jPanel22.add(penaltyField,  BorderLayout.EAST);
    jPanel27.add(jPanel28, BorderLayout.NORTH);
    jPanel29.add(jLabel7,  BorderLayout.SOUTH);
    jPanel29.add(jLabel6,  BorderLayout.NORTH);
    jPanel29.add(jPanel34, BorderLayout.CENTER);
    jPanel34.add(jPanel212,  BorderLayout.CENTER);
    this.getContentPane().add(controlPanel, BorderLayout.NORTH);
    controlPanel.add(jPanel1, null);
    this.getContentPane().add(statusPanel, BorderLayout.SOUTH);
    statusPanel.add(statusBar, BorderLayout.WEST);
    statusPanel.add(infoBar, BorderLayout.EAST);

    this.getContentPane().add(rulesPanel, BorderLayout.CENTER);
    jTabbedPane1.addTab("Fields & Boxes",fieldAndBoxPanel);
    jTabbedPane1.addTab("Correspondences",corrPanel);
    jTabbedPane1.add(creaPanel,   "Box Creation");

    rulesPanel.add(jTabbedPane1,  BorderLayout.CENTER);
//     for (Iterator i = dpl.getGrammFileList().iterator(); i.hasNext(); ) {
//       grammarBox.addItem(i.next());
//     }


    saxBuilder = new SAXBuilder();

    corrTable.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    creaTable.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    fieldTable.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    boxTable.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);


if(grammar!=null) showGrammar();
else {
   grammarRoot = new org.jdom.Element("grammar");
   grammar = new Document(grammarRoot);
   saveAsbutton.setEnabled(true);
}

listen();



  }

//////////////////////////////////////////////////////////////////////////
//   end jbinit   ////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////






///////////////////////////////


void listen()
{
    savebutton.addActionListener(new java.awt.event.ActionListener() {
     public void actionPerformed(ActionEvent e) {
       saveGrammar();
     }
    });

    exitbutton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
	exit();
      }
    });
    maxDomainField.addActionListener(new java.awt.event.ActionListener() {
     public void actionPerformed(ActionEvent e) {
       maxDomainField_actionPerformed(e);
     }
   });
   maxDomainField.addFocusListener(new java.awt.event.FocusAdapter() {
     public void focusLost(FocusEvent e) {
       maxDomainField_focusLost(e);
     }
    });
   creaNewBoxBox.addActionListener(new java.awt.event.ActionListener() {
    public void actionPerformed(ActionEvent e) {
      creaNewBoxBox_actionPerformed(e);
    }
    });
   creaOriginalFieldBox.addActionListener(new java.awt.event.ActionListener() {
     public void actionPerformed(ActionEvent e) {
       creaOriginalFieldBox_actionPerformed(e);
     }
    });
   creaCommBox.addActionListener(new java.awt.event.ActionListener() {
     public void actionPerformed(ActionEvent e) {
       creaCommBox_actionPerformed(e);
     }
    });
   creaCatBox.addActionListener(new java.awt.event.ActionListener() {
     public void actionPerformed(ActionEvent e) {
       creaCatBox_actionPerformed(e);
     }
    });
   creaFinalFieldBox.addActionListener(new java.awt.event.ActionListener() {
    public void actionPerformed(ActionEvent e) {
      creaFinalFieldBox_actionPerformed(e);
    }
    });
   ListSelectionModel corrSM = corrTable.getSelectionModel();
   corrSM.addListSelectionListener(new ListSelectionListener() {
     public void valueChanged(ListSelectionEvent e) {
       if (e.getValueIsAdjusting()) return;  //Ignore extra messages.

       ListSelectionModel lsm = (ListSelectionModel)e.getSource();
       if (!lsm.isSelectionEmpty()) {
	 int selectedRow = lsm.getMinSelectionIndex(); //selectedRow is selected
//	  System.out.println("row "+selectedRow);
	 setCorr(selectedRow);
       }
     }
   });

   ListSelectionModel creaSM = creaTable.getSelectionModel();
   creaSM.addListSelectionListener(new ListSelectionListener() {
     public void valueChanged(ListSelectionEvent e) {
       if (e.getValueIsAdjusting()) return;  //Ignore extra messages.

       ListSelectionModel lsm = (ListSelectionModel)e.getSource();
       if (!lsm.isSelectionEmpty()) {
	 int selectedRow = lsm.getMinSelectionIndex(); //selectedRow is selected
	 setCrea(selectedRow);
       }
     }
   });

   ListSelectionModel fieldSM = fieldTable.getSelectionModel();
   fieldSM.addListSelectionListener(new ListSelectionListener() {
     public void valueChanged(ListSelectionEvent e) {
       if (e.getValueIsAdjusting()) return;  //Ignore extra messages.
       ListSelectionModel lsm = (ListSelectionModel)e.getSource();
       if (!lsm.isSelectionEmpty()) {
	 int selectedRow = lsm.getMinSelectionIndex(); //selectedRow is selected
	 setField(selectedRow);
       }
     }
   });

   ListSelectionModel boxSM = boxTable.getSelectionModel();
      boxSM.addListSelectionListener(new ListSelectionListener() {
	public void valueChanged(ListSelectionEvent e) {
	  if (e.getValueIsAdjusting()) return;  //Ignore extra messages.
	  ListSelectionModel lsm = (ListSelectionModel)e.getSource();
	  if (!lsm.isSelectionEmpty()) {
	    int selectedRow = lsm.getMinSelectionIndex(); //selectedRow is selected
	    setBox(selectedRow);
	  }
	}
   });
      headCatBox.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	     headCatBox_actionPerformed(e);
	   }
    });
      headCommBox.addActionListener(new java.awt.event.ActionListener() {
	public void actionPerformed(ActionEvent e) {
	  headCommBox_actionPerformed(e);
	}
    });
      headFieldBox.addActionListener(new java.awt.event.ActionListener() {
	public void actionPerformed(ActionEvent e) {
	  headFieldBox_actionPerformed(e);
	}
    });
      childCommBox.addActionListener(new java.awt.event.ActionListener() {
	public void actionPerformed(ActionEvent e) {
	  childCommBox_actionPerformed(e);
	}
    });
      childCatBox.addActionListener(new java.awt.event.ActionListener() {
	public void actionPerformed(ActionEvent e) {
	  childCatBox_actionPerformed(e);
	}
    });
      childFieldBox.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
	childFieldBox_actionPerformed(e);
      }
    });
      corrDeleteButton.addActionListener(new java.awt.event.ActionListener() {
	 public void actionPerformed(ActionEvent e) {
	   corrDeleteButton_actionPerformed(e);
	 }
    });
      corrNewButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
	corrNewButton_actionPerformed(e);
      }
    });
      relationBox.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	     relationBox_actionPerformed(e);
	   }
    });
      creaDeleteButton.addActionListener(new java.awt.event.ActionListener() {
	  public void actionPerformed(ActionEvent e) {
	    creaDeleteButton_actionPerformed(e);
	  }
    });
      creaNewButton.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	     creaNewButton_actionPerformed(e);
	   }
    });
      fieldDeleteButton.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	     fieldDeleteButton_actionPerformed(e);
	   }
    });
      initialFieldCheck.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	     initialFieldCheck_actionPerformed(e);
	   }
    });
      fieldDescriptionBox.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	     fieldDescriptionBox_actionPerformed(e);
	   }
    });
      fieldNewButton.addActionListener(new java.awt.event.ActionListener() {
	    public void actionPerformed(ActionEvent e) {
	      fieldNewButton_actionPerformed(e);
	    }
    });
      boxNewButton.addActionListener(new java.awt.event.ActionListener() {
	  public void actionPerformed(ActionEvent e) {
	    boxNewButton_actionPerformed(e);
	  }
    });
      boxDeleteButton.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	     boxDeleteButton_actionPerformed(e);
	   }
    });
      fieldDeleteButtonInList.addActionListener(new java.awt.event.ActionListener() {
	  public void actionPerformed(ActionEvent e) {
	    fieldDeleteButtonInList_actionPerformed(e);
	  }
    });
      addfieldButton.addActionListener(new java.awt.event.ActionListener() {
	   public void actionPerformed(ActionEvent e) {
	     addfieldButton_actionPerformed(e);
	   }
    });
      upButton.addActionListener(new java.awt.event.ActionListener() {
       public void actionPerformed(ActionEvent e) {
	 upButton_actionPerformed(e);
       }
    });
      downButton.addActionListener(new java.awt.event.ActionListener() {
     public void actionPerformed(ActionEvent e) {
       downButton_actionPerformed(e);
     }
    });
      penaltyField.addActionListener(new java.awt.event.ActionListener() {
   public void actionPerformed(ActionEvent e) {
     penaltyField_actionPerformed(e);
   }
 });
 penaltyField.addFocusListener(new java.awt.event.FocusAdapter() {
   public void focusLost(FocusEvent e) {
     penaltyField_focusLost(e);
   }
    });
 permTextField.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
  permTextField_actionPerformed(e);
}
});
permTextField.addFocusListener(new java.awt.event.FocusAdapter() {
public void focusLost(FocusEvent e) {
  permTextField_focusLost(e);
}
});
boxAbreviationTextField.addActionListener(new java.awt.event.ActionListener() {
public void actionPerformed(ActionEvent e) {
  boxAbreviationTextField_actionPerformed(e);
}
});
boxAbreviationTextField.addFocusListener(new java.awt.event.FocusAdapter() {
public void focusLost(FocusEvent e) {
  boxAbreviationTextField_focusLost(e);
}
});



}


  void showGrammar(){

    Element thisElement;
    String thisString;
    grammarRoot = grammar.getRootElement();

    headFieldBox.removeAllItems();
    childFieldBox.removeAllItems();
    creaOriginalFieldBox.removeAllItems();
    creaFinalFieldBox.removeAllItems();
    creaNewBoxBox.removeAllItems();
    relationBox.removeAllItems();
    relationsList.clear();
    catList.clear();
    commList.clear();
    fieldList.clear();
    boxList.clear();

    fields = new Vector();
    for (Iterator i = grammarRoot.getChildren("field").iterator(); i.hasNext(); )
    {
      String thisFieldName = ((Element)i.next()).getAttributeValue("name");
      fields.add(thisFieldName);
      headFieldBox.addItem(thisFieldName);
      childFieldBox.addItem(thisFieldName);
      creaOriginalFieldBox.addItem(thisFieldName);
      creaFinalFieldBox.addItem(thisFieldName);
      fieldList.add(thisFieldName);
    }
    headFieldBox.addItem("?");
    childFieldBox.addItem("?");
    creaOriginalFieldBox.addItem("?");
    creaFinalFieldBox.addItem("?");
    fieldList.add("?");

    jScrollPane4.validate();
    fieldTable.validate();


    boxes = new Vector();
    for (Iterator i = grammarRoot.getChildren("boxDescriptionRule").iterator(); i.hasNext(); ) {
      thisElement = (Element)i.next();
      boxes.add(thisElement.getAttributeValue("title"));
      String thisBoxAbrev = thisElement.getChild("box").getAttributeValue("name");
      creaNewBoxBox.addItem(thisBoxAbrev);
      boxList.add(thisBoxAbrev);
    }
    jScrollPane5.validate();
    boxTable.validate();


    corrs = new Vector();
    for (Iterator i = grammarRoot.getChildren("correspondenceRule").iterator(); i.hasNext(); ) {
      thisElement = (Element)i.next();
//   corrBox.addItem(thisElement.getAttributeValue("title"));
      //
      corrs.add(thisElement.getAttributeValue("title"));

      thisString = thisElement.getChildTextTrim("commHead");
      if ((thisString != null) &&  (!commList.contains(thisString)))
	commList.add(thisString);
      thisString = thisElement.getChildTextTrim("commChild");
      if ((thisString != null) &&  (!commList.contains(thisString)))
	commList.add(thisString);
      thisString = thisElement.getChildTextTrim("relation");
      if ((thisString != null) &&  (!relationsList.contains(thisString) ))
	relationsList.add(thisString);
      thisString = thisElement.getChildTextTrim("catHead");
      if ((thisString != null) &&  (!catList.contains(thisString) ))
	catList.add(thisString);
      thisString = thisElement.getChildTextTrim("catChild");
      if ((thisString != null) &&  (!catList.contains(thisString)))
	catList.add(thisString);

    }

    jScrollPane2.validate();
    corrTable.validate();


    creas = new Vector();

    for (Iterator i = grammarRoot.getChildren("boxCreationRule").iterator(); i.hasNext(); ) {
      thisElement = (Element)i.next();
      creas.add(thisElement.getAttributeValue("title"));
      thisString = thisElement.getChildTextTrim("comm");
      if ((thisString != null) &&  (!commList.contains(thisString)))
	commList.add(thisString);
      thisString = thisElement.getChildTextTrim("cat");
      if ((thisString != null) &&  (!catList.contains(thisString)))
	catList.add(thisString);

    }

    jScrollPane3.validate();
    creaTable.validate();


    if(!commList.contains("?")) commList.add("?");
    java.util.Collections.sort(commList);
    if(!relationsList.contains("?")) commList.add("?");
    java.util.Collections.sort(relationsList);
    if(!catList.contains("?")) commList.add("?");
    java.util.Collections.sort(catList);



    for (Iterator i = commList.iterator(); i.hasNext(); ) {
      Object item = i.next();
      childCommBox.addItem(item);
      headCommBox.addItem(item);
      creaCommBox.addItem(item);
    }
    for (Iterator i = relationsList.iterator(); i.hasNext(); ) {
      Object item = i.next();
      relationBox.addItem(item);
    }

    for (Iterator i = catList.iterator(); i.hasNext(); ) {
      Object item = i.next();
      headCatBox.addItem(item);
      childCatBox.addItem(item);
      creaCatBox.addItem(item);
    }

    rulesPanel.setVisible(true);
    saveAsbutton.setEnabled(true);
    savebutton.setEnabled(true);
    statusBar.setText(grammarFile.toString()+" loaded.");
    setCorr(0);
    setCrea(0);
    grammarChanged=false;


  }
/// end show grammar

  void enableCorr(boolean b)
   {

      headCatBox.setEnabled(b);

      headCommBox.setEnabled(b);
      headFieldBox.setEnabled(b);
      childCatBox.setEnabled(b);
      childCommBox.setEnabled(b);
      childFieldBox.setEnabled(b);
      relationBox.setEnabled(b);
      maxDomainField.setEnabled(b);
      penaltyField.setEnabled(b);


  }

  void switchCrea(boolean b)
  {

      creaCatBox.setEnabled(b);
      creaCommBox.setEnabled(b);
      creaFinalFieldBox.setEnabled(b);
      creaNewBoxBox.setEnabled(b);
      creaOriginalFieldBox.setEnabled(b);

  }


  Element getCurrentElement(String kindOfElement, String nameString, String attributeString)
  {
    for (Iterator i = grammarRoot.getChildren(kindOfElement).iterator(); i.hasNext(); )
    {

      Element thisElement = (Element)i.next();

      if(nameString.equals(thisElement.getAttributeValue(attributeString)))
	return thisElement;

    }
    return null;
  }


  void performBoxChanges(JComboBox box, Element selectedElement, ArrayList list, String elChildName)
  {
    if(updating || box.getSelectedItem()==null || selectedElement==null ) return;

    if(selectedElement.getChild(elChildName)==null)
      selectedElement.addContent(new Element(elChildName));
    String selectedName = box.getSelectedItem().toString();

    if (list.contains(selectedName)==false)
    {
	list.add(selectedName);
	java.util.Collections.sort(list);
	box.removeAllItems();
	for (Iterator i = list.iterator(); i.hasNext(); ) {
	    Object item = i.next();
	    box.addItem(item);
//                    System.out.println("adding"+item);
	}
	box.setSelectedItem(selectedName);
    }

    selectedElement.getChild(elChildName).setText(selectedName);
    somethingChanged();
  }


  void warn(String text)
  {
    DepLinFrame_WarnBox warn = new DepLinFrame_WarnBox(this,text );
    Dimension dlgSize = warn.getPreferredSize();
    Dimension frmSize = getSize();
    Point loc = getLocation();
    warn.setLocation((frmSize.width - dlgSize.width) / 2 + loc.x, (frmSize.height - dlgSize.height) / 2 + loc.y);
    warn.setModal(true);
    warn.show();
  }


/////////////////// field actions

  void fieldDescriptionBox_actionPerformed(ActionEvent e) {
    if(updating || selectedFieldElement==null)return;
    selectedFieldElement.setAttribute("description",fieldDescriptionBox.getSelectedItem().toString());
    somethingChanged();
  }

  void fieldNewButton_actionPerformed(ActionEvent e) {
    if(fields==null)fields=new Vector();
    anyNewButtonPressed("field","name",fieldTable,selectedFieldElement,fields,fieldModel);
  }


  void fieldDeleteButton_actionPerformed(ActionEvent e) {
    anyDeleteButtonPressed("field",
      "You need at least the initial field and one field in one main domain!",
      fieldTable,selectedFieldElement,
      fields,fieldModel);
  }


  void initialFieldCheck_actionPerformed(ActionEvent e) {
    if(updating || selectedFieldElement==null)return;
    if(initialFieldCheck.isSelected())
      selectedFieldElement.setAttribute("initial","yes");
    else
      selectedFieldElement.removeAttribute("initial");
    somethingChanged();
  }


/////////////////// box actions
///////////////////////////////


  void upButton_actionPerformed(ActionEvent e) {
      if(updating )return;
    int sbi = selectedBoxIndex;
    int sfi = fieldJList.getSelectedIndex();
    if (sfi == -1)
    {
      fieldJList.setSelectedIndex(0);
      return;
    }

    Element box = selectedBoxElement.getChild("box");
    java.util.List fieldElementList = box.getChildren("field");
    Element selectedField = (Element)fieldElementList.get(sfi);
    int nbFields = fieldElementList.size();

    if (nbFields > 1 && sfi>0)
    {
      box.removeChildren();
      selectedField.detach();
      for (int i = 0; i < nbFields; i++)
      {
	if(i==sfi-1) box.addContent(selectedField);
	if(i!=sfi) box.addContent((org.jdom.Element)fieldElementList.get(i));
      }
      setBox(selectedBoxIndex);
      fieldJList.setSelectedIndex(sfi-1);
      somethingChanged();
    }
  }

  void downButton_actionPerformed(ActionEvent e) {
 if(updating )return;
    int sfi = fieldJList.getSelectedIndex();
    int sbi = selectedBoxIndex;
    if (sfi == -1)
    {
      fieldJList.setSelectedIndex(0);
      return;
    }

    Element box = selectedBoxElement.getChild("box");
    java.util.List fieldElementList = box.getChildren("field");
    Element selectedField = (Element)fieldElementList.get(sfi);
    int nbFields = fieldElementList.size();

    if (nbFields > 1 && sfi+1<nbFields)
    {
      box.removeChildren();
      selectedField.detach();
      for (int i = 0; i < nbFields; i++)
      {

	if(i!=sfi) box.addContent((org.jdom.Element)fieldElementList.get(i));
	if(i==sfi+1) box.addContent(selectedField);
      }
      setBox(selectedBoxIndex);
      fieldJList.setSelectedIndex(sfi+1);
      somethingChanged();
    }
  }


  void boxNewButton_actionPerformed(ActionEvent e) {
    if (boxes == null) boxes = new Vector();
    Element newRule = anyNewButtonPressed("boxDescriptionRule", "title",
                                          boxTable,
                                          selectedBoxElement, boxes, boxModel);
    if (newRule.getChild("box") == null) newRule.addContent(new Element("box"));
    String oldAbreviation = newRule.getChild("box").getAttributeValue("name");
    newRule.getChild("box").setAttribute("name", oldAbreviation + "new");

    setBox(boxTable.getSelectedRow());

  }


  void boxDeleteButton_actionPerformed(ActionEvent e) {
    anyDeleteButtonPressed("boxDescriptionRule","You need at least one main domain!",boxTable,
			   selectedBoxElement,boxes,boxModel);
  }



  void fieldDeleteButtonInList_actionPerformed(ActionEvent e) {
    if(updating || selectedBoxElement==null) return;
    Element box = selectedBoxElement.getChild("box");
    java.util.List fieldElementList = box.getChildren("field");
    if (fieldElementList.size()<=1)
    {
      warn("A domain has at least one field!");
      return;
    }
    int sfi = fieldJList.getSelectedIndex();
    if (sfi == -1)
	     {warn(" Please select a field to delete! " );
    return;}


    fieldElementList.remove(sfi);
    sfi--;

    setBox(selectedBoxIndex);
    if(sfi>=fieldElementList.size())
      sfi--;
    fieldJList.setSelectedIndex(sfi);


  }


  void addfieldButton_actionPerformed(ActionEvent e) {
    if(updating || selectedBoxElement==null) return;
    if(selectedFieldElement==null)
    {
      warn(" Please select a field on the left! " );
      return;
    }
    String selectedFieldName = selectedFieldElement.getAttributeValue("name");
    Element box = selectedBoxElement.getChild("box");
    java.util.List fieldElementList = box.getChildren("field");
    int nbFields = fieldElementList.size();
    int sfi = fieldJList.getSelectedIndex();
    if (sfi == -1)
      sfi = nbFields;

    Element newField = new Element("field");
    newField.setAttribute("name",selectedFieldName);
    somethingChanged();
    fieldElementList.add(sfi,newField);
    setBox(selectedBoxIndex);
    fieldJList.setSelectedIndex(sfi);
  }


  void boxAbreviationTextField_focusLost(FocusEvent e) {
       if(updating)return;
    String abrev = boxAbreviationTextField.getText();
    selectedBoxElement.getChild("box").setAttribute("name",abrev);
somethingChanged();
    if(boxList.contains(abrev)) return;
    boxList.add(abrev);
    setBox(selectedBoxIndex);

  }
  void boxAbreviationTextField_actionPerformed(ActionEvent e) {
       if(updating)return;
    String abrev = boxAbreviationTextField.getText();
    selectedBoxElement.getChild("box").setAttribute("name",abrev);
    somethingChanged();
    if(boxList.contains(abrev)) return;
    boxList.add(abrev);
    setBox(selectedBoxIndex);
  }

  void permTextField_actionPerformed(ActionEvent e) {
       if(updating)return;
    try{
      int permValue = Integer.parseInt(permTextField.getText());
      selectedBoxElement.getChild("box").setAttribute("permeability",String.valueOf(permValue));
somethingChanged();
    }
    catch (Exception ttt) {
      permTextField.setText(selectedBoxElement.getChild("box").getAttributeValue("permeability"));
      warn(" Permeabilities are integers! " );
    }
  }


  void permTextField_focusLost(FocusEvent e) {
       if(updating)return;
    try{
      int permValue = Integer.parseInt(permTextField.getText());
      selectedBoxElement.getChild("box").setAttribute("permeability",String.valueOf(permValue));
somethingChanged();
    }
    catch (Exception ttt) {
      permTextField.setText(selectedBoxElement.getChild("box").getAttributeValue("permeability"));
      warn(" Permeabilities are integers! " );
    }
  }


////////////////////////
// corr actions
////////////////////////



  void corrDeleteButton_actionPerformed(ActionEvent e) {

    anyDeleteButtonPressed("correspondenceRule",
			   "You need to be able to place elements other than the root element!",
			   corrTable,selectedCorrElement,
			   corrs,corrModel);
  }

  void anyDeleteButtonPressed(String kindOfRules, String warnWhenLast,
			      JTable table, Element selectedElement,
			      Vector ruleVector, AbstractTableModel atm)
  {

    if(updating||selectedElement==null)   return;

    if (grammarRoot.getChildren(kindOfRules).size()<=1){warn(warnWhenLast); return; }

    int sci=table.getSelectedRow();
    if(sci==-1) return;
    grammarRoot.getChildren(kindOfRules).remove(selectedElement);
    ruleVector.remove(sci);

    atm.fireTableDataChanged();
    sci = (sci<=0) ? 0 : --sci;
    table.getSelectionModel().setLeadSelectionIndex(sci);
  }


void corrNewButton_actionPerformed(ActionEvent e) {
 if(corrs==null)corrs=new Vector();
anyNewButtonPressed("correspondenceRule","title",corrTable,
		    selectedCorrElement,corrs,corrModel);

}


////////////////////////// any new button

  Element anyNewButtonPressed(String kindOfRules, String titleName,
			      JTable table, Element selectedElement,
			      Vector ruleVector, AbstractTableModel atm) {
      if(updating) return null;

      Element newElement;
      int newIndex;
      if (selectedElement==null)
      {

	newElement = new Element(kindOfRules);
	newElement.setAttribute(titleName,"new "+kindOfRules);
	grammarRoot.getChildren(kindOfRules).add(newElement);
//        if(ruleVector==null) ruleVector = new Vector();
        ruleVector.add("new "+kindOfRules);
        newIndex = ruleVector.size()-1;
//         System.out.println("null "+fields);
      }
      else
      {

	newElement = (Element)selectedElement.clone();
	String newTitle = "new "+newElement.getAttributeValue(titleName);
	newElement.setAttribute(titleName,newTitle);
	newIndex = table.getSelectedRow()+1;
	grammarRoot.getChildren(kindOfRules).add(newIndex,newElement);
	ruleVector.add(newIndex,newTitle);
//         System.out.println("non0 "+fields);
      }
      somethingChanged();

      System.out.println("atm "+atm.getColumnName(0)+ruleVector);

      atm.fireTableDataChanged();
      table.getSelectionModel().setLeadSelectionIndex(newIndex);
      return newElement;
    }




  void relationBox_actionPerformed(ActionEvent e) {

    performBoxChanges(relationBox,selectedCorrElement,relationsList,"relation");
  }


  void headCatBox_actionPerformed(ActionEvent e) {
    performBoxChanges(headCatBox,selectedCorrElement,catList,"catHead");
  }


  void headCommBox_actionPerformed(ActionEvent e) {
    performBoxChanges(headCommBox,selectedCorrElement,commList,"commHead");
  }

  void headFieldBox_actionPerformed(ActionEvent e) {
    performBoxChanges(headFieldBox,selectedCorrElement,fieldList,"fieldHead");
  }


  void childCatBox_actionPerformed(ActionEvent e) {
    performBoxChanges(childCatBox,selectedCorrElement,catList,"catChild");
  }
  void childFieldBox_actionPerformed(ActionEvent e) {
    performBoxChanges(childFieldBox,selectedCorrElement,fieldList,"fieldChild");
  }
  void childCommBox_actionPerformed(ActionEvent e) {
    performBoxChanges(childCommBox,selectedCorrElement,commList,"commChild");
  }

  void penaltyField_actionPerformed(ActionEvent e) {
       if(updating)return;
    try{
      int penValue = Integer.parseInt(penaltyField.getText());
      selectedCorrElement.getChild("penalty").setText(String.valueOf(penValue));
somethingChanged();
    }
    catch (Exception ttt) {
      penaltyField.setText(selectedCorrElement.getChildText("penalty"));
      warn(" Penalties are integers! " );
    }
  }

  void penaltyField_focusLost(FocusEvent e) {
       if(updating)return;
    try{
      int penValue = Integer.parseInt(penaltyField.getText());
      selectedCorrElement.getChild("penalty").setText(String.valueOf(penValue));
somethingChanged();
    }
    catch (Exception ttt) {
      if (selectedCorrElement.getChildText("penalty")==null)
	  {Element pe = new Element("penalty");
      pe.setText("0");
      selectedCorrElement.addContent(pe);
      }
      penaltyField.setText(selectedCorrElement.getChildText("penalty"));
      warn(" Penalties are integers! " );
    }
  }

  void maxDomainField_focusLost(FocusEvent e) {

    if (updating || selectedCorrElement==null) return;

    try{
      int maxDomainValue = Integer.parseInt(maxDomainField.getText());
      selectedCorrElement.getChild("maxDomainBorder").setText(String.valueOf(maxDomainValue));
somethingChanged();
    }
    catch (Exception ttt) {
      if (selectedCorrElement.getChildText("maxDomainBorder")==null)
	  {Element mdbe = new Element("maxDomainBorder");
      mdbe.setText("0");
      selectedCorrElement.addContent(mdbe);
      }
      maxDomainField.setText(selectedCorrElement.getChildText("maxDomainBorder"));
      warn(" Domain borders are integers! " );
    }
  }

  void maxDomainField_actionPerformed(ActionEvent e) {
       if(updating)return;
    String text = maxDomainField.getText();
    try{


      int maxDomainValue = Integer.parseInt(text);
      selectedCorrElement.getChild("maxDomainBorder").setText(String.valueOf(maxDomainValue));
somethingChanged();
    }
    catch (Exception ttt) {
      maxDomainField.setText(selectedCorrElement.getChildText("maxDomainBorder"));
      warn(" Domain borders are integers! " );
    }
  }


//////////////
// box creation actions
///////////////////////





  void creaNewBoxBox_actionPerformed(ActionEvent e) {
    performBoxChanges(creaNewBoxBox,selectedCreaElement,boxList,"box");
  }

  void creaFinalFieldBox_actionPerformed(ActionEvent e) {
    performBoxChanges(creaFinalFieldBox,selectedCreaElement,fieldList,"field2");
  }

  void creaOriginalFieldBox_actionPerformed(ActionEvent e) {
    performBoxChanges(creaOriginalFieldBox,selectedCreaElement,fieldList,"field1");
  }

  void creaDeleteButton_actionPerformed(ActionEvent e) {
    anyDeleteButtonPressed("boxCreationRule","You need to open at least one domain in the initial field!",
			   creaTable,selectedCreaElement,creas,creaModel);
  }

  void creaNewButton_actionPerformed(ActionEvent e) {
     if(creas==null)creas=new Vector();
    anyNewButtonPressed("boxCreationRule","title",creaTable,
			selectedCreaElement,creas,creaModel);
  }

  void creaCommBox_actionPerformed(ActionEvent e) {
    performBoxChanges(creaCommBox,selectedCreaElement,commList,"comm");
  }

  void creaCatBox_actionPerformed(ActionEvent e) {
    performBoxChanges(creaCatBox,selectedCreaElement,catList,"cat");
  }


  ////////////////
  // io
  ///////////////


  void saveAs() {

    JFileChooser fc = new JFileChooser();
    fc.setDialogTitle("save grammar");
    File parent = (grammarFile==null) ? new File(".") : grammarFile.getParentFile();
    fc.setCurrentDirectory(parent);
    fc.setSelectedFile(grammarFile);
    String[] extxml = {"xml","tag"};
    ArboratorFileFilter aff = new ArboratorFileFilter("xml",extxml);
    fc.addChoosableFileFilter(aff);
    //
    int returnVal = fc.showDialog(this, "Save DepLin grammar");
    if (returnVal == 0)
    {
	grammarFile = fc.getSelectedFile();
	     if(!aff.accept(grammarFile)) grammarFile= new File(grammarFile.getAbsolutePath()+".xml");


      saveGrammar();
    }
  }

  void saveGrammar() {
    try {
      FileOutputStream outStream = new FileOutputStream(grammarFile);
      XMLOutputter out = new XMLOutputter();
      out.setNewlines(true);
      out.setTextNormalize(true);
      out.setIndent("  ");
      out.output(grammar, outStream);
      statusBar.setText("Grammar "+grammarFile+" saved.");
      dpl.addFile("gramm",grammarFile);
      dpl.writePreferences();
      grammarChanged=false;
    }
    catch (Exception eee) {
      String text;
      warn(" Can't save grammar under the name of "+grammarFile+"! ");
    eee.printStackTrace();}
  }


  int saveQuestion()
  {
    String announcement="This interesting grammar has not yet been saved and may be lost for ever";
    announcement += "\nDo you want to save it first?";
    int choice = JOptionPane.showConfirmDialog(this, announcement, "Well...",
	JOptionPane.YES_NO_CANCEL_OPTION, JOptionPane.QUESTION_MESSAGE, questionMark );
    if (choice == 0)
      saveGrammar();
    return choice;
  }

  void exit() {
    if(grammarChanged)
      if(saveQuestion()==2) return;
    this.dispose();
  }

void somethingChanged()
{
    grammarChanged = true;
    statusBar.setText("Grammar "+grammarFile+" edited.");
}


////////////////////////////////////////////////

  String getRuleName(int row, Vector ruleVector)
    {
      String ruleName;
      try {     ruleName =  ruleVector.get(row).toString();    }
      catch (Exception ex) {      ruleName = null;    }
      return ruleName;
    }

  void newName(String newName,int number,
	       Vector ruleVector, Element selecetedElement, String titleName)
  {
//    System.out.println("nnnewname1");
    if (ruleVector.size()<=number) {return;}
    ruleVector.set(number,newName);
    if(selecetedElement==null) {return;}
//        System.out.println("nnnewname2");
    selecetedElement.setAttribute(titleName,newName);
    somethingChanged();
  }

// the four tables in action:

  void setCorr(int number) {

    Element thisElement = (Element)grammarRoot.getChildren("correspondenceRule").get(number);
    if (thisElement!=null)
    {
      selectedCorrElement = thisElement;
      selectedCorrIndex = corrTable.getSelectedRow();
      updating = true;
      relationBox.setSelectedItem(thisElement.getChildTextTrim("relation"));
      headCatBox.setSelectedItem(thisElement.getChildTextTrim("catHead"));
      headFieldBox.setSelectedItem(thisElement.getChildTextTrim("fieldHead"));
      headCommBox.setSelectedItem(thisElement.getChildTextTrim("commHead"));
      childCatBox.setSelectedItem(thisElement.getChildTextTrim("catChild"));
      childFieldBox.setSelectedItem(thisElement.getChildTextTrim("fieldChild"));
      childCommBox.setSelectedItem(thisElement.getChildTextTrim("commChild"));
      maxDomainField.setText(thisElement.getChildTextTrim("maxDomainBorder"));
      penaltyField.setText(thisElement.getChildTextTrim("penalty"));
updating = false;
//headFieldBox.setSelectedItem(thisElement.getChildTextTrim("fieldHead"));
//corrTable.setEditingRow(corrTable.getSelectedRow());
//corrTable.setVerifyInputWhenFocusTarget(true);
//corrTable.sizeColumnsToFit(true);
//corrTable.transferFocusBackward();
    }
  }

  void setCrea(int number) {

    Element thisElement = (Element)grammarRoot.getChildren("boxCreationRule").get(number);
    if (thisElement!=null)
    {
	  updating = true;
      selectedCreaElement = thisElement;
      selectedCreaIndex = creaTable.getSelectedRow();

      creaCatBox.setSelectedItem(thisElement.getChildTextTrim("cat"));
      creaOriginalFieldBox.setSelectedItem(thisElement.getChildTextTrim("field1"));
      creaCommBox.setSelectedItem(thisElement.getChildTextTrim("comm"));
      creaNewBoxBox.setSelectedItem(thisElement.getChildTextTrim("box"));
      creaFinalFieldBox.setSelectedItem(thisElement.getChildTextTrim("field2"));
      updating = false;
//      creaTable.transferFocusBackward();
     }
  }

  void setField(int number) {



    Element thisElement = (Element)grammarRoot.getChildren("field").get(number);
    if (thisElement!=null)
    {
	  updating = true;
      selectedFieldElement = thisElement;
      selectedFieldIndex = fieldTable.getSelectedRow();

      initialFieldCheck.setSelected("yes".equals(thisElement.getAttributeValue("initial")));
      try {
	fieldDescriptionBox.setSelectedItem(thisElement.getAttributeValue("description"));
      }
      catch (Exception ex) {System.out.println("couldn't find description of field");  }



      String creaFinalFieldBoxSelected = "";
      String headFieldBoxSelected ="";
      String childFieldBoxSelected ="";
      String creaOriginalFieldBoxSelected ="";

      if(creaFinalFieldBox!=null && creaFinalFieldBox.getSelectedItem()!=null)
        creaFinalFieldBoxSelected = creaFinalFieldBox.getSelectedItem().toString();
      if(headFieldBox!=null && headFieldBox.getSelectedItem()!=null)
        headFieldBoxSelected = headFieldBox.getSelectedItem().toString();
      if(childFieldBox!=null && childFieldBox.getSelectedItem()!=null)
        childFieldBoxSelected = childFieldBox.getSelectedItem().toString();
      if(creaOriginalFieldBox!=null && creaOriginalFieldBox.getSelectedItem()!=null)
        creaOriginalFieldBoxSelected = creaOriginalFieldBox.getSelectedItem().toString();


      headFieldBox.removeAllItems();
      childFieldBox.removeAllItems();
      creaOriginalFieldBox.removeAllItems();
      creaFinalFieldBox.removeAllItems();
      fieldList.clear();
      if(fields==null)fields=new Vector();
      Vector fieldsAndQuestion = (Vector)fields.clone();
      fieldsAndQuestion.add("?");
      for (Iterator i = fieldsAndQuestion.iterator(); i.hasNext(); ) {
	String thisFieldName = i.next().toString();
	headFieldBox.addItem(thisFieldName);
	childFieldBox.addItem(thisFieldName);
	creaOriginalFieldBox.addItem(thisFieldName);
	creaFinalFieldBox.addItem(thisFieldName);
	fieldList.add(thisFieldName);
      }

      headFieldBox.setSelectedItem(headFieldBoxSelected);
      childFieldBox.setSelectedItem(childFieldBoxSelected);
      creaOriginalFieldBox.setSelectedItem(creaOriginalFieldBoxSelected);
      creaFinalFieldBox.setSelectedItem(creaFinalFieldBoxSelected);


      updating = false;
//      fieldJList.transferFocusBackward();
    }
  }


  void setBox(int number) {

      Element thisElement = (Element)grammarRoot.getChildren("boxDescriptionRule").get(number);

      if (thisElement!=null)
      {
	  updating = true;
	selectedBoxElement = thisElement;
	selectedBoxIndex = boxTable.getSelectedRow();
        if (thisElement.getChild("box") == null) thisElement.addContent(new Element("box"));
	boxAbreviationTextField.setText(thisElement.getChild("box").getAttributeValue("name"));
	permTextField.setText(thisElement.getChild("box").getAttributeValue("permeability"));

	java.util.List  fieldElementList = thisElement.getChild("box").getChildren("field");
	Vector fieldNameVector = new Vector(fieldElementList.size());

	for (Iterator i = fieldElementList.iterator(); i.hasNext(); ) {
	  fieldNameVector.add((((Element)i.next()).getAttributeValue("name")));
	}
	fieldJList.setListData(fieldNameVector);

	updateCreaNewBox();


	updating = false;

//	boxTable.transferFocusBackward();
      }
  }

void updateCreaNewBox()
{
  String creaNewBoxBoxSelected;
  if(creaNewBoxBox==null || creaNewBoxBox.getSelectedItem()==null) creaNewBoxBoxSelected = "";
  else  creaNewBoxBoxSelected = creaNewBoxBox.getSelectedItem().toString();
  creaNewBoxBox.removeAllItems();


	for (Iterator i = grammarRoot.getChildren("boxDescriptionRule").iterator(); i.hasNext(); ) {
	    Element thisElement = (Element)i.next();
	    String thisBoxAbrev = thisElement.getChild("box").getAttributeValue("name");
	    creaNewBoxBox.addItem(thisBoxAbrev);
		   }

	creaNewBoxBox.setSelectedItem(creaNewBoxBoxSelected);
}



}
