package fr.jussieu.linguist.depLin;

import java.awt.event.*;
import java.awt.Frame.*;

import java.net.*;
/*
import java.awt.event.*;
import java.awt.Frame.*;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.AWTEvent;
import java.awt.Dimension;
import java.awt.Point;
import java.awt.event.*;
import java.awt.Toolkit;
import java.awt.Insets;
import java.net.*;

*/
import javax.sound.sampled.*;
import java.net.*;
import javax.swing.*;
import java.io.*;
import java.util.Iterator;
import java.util.*;
import javax.swing.tree.*;
import javax.swing.filechooser.*;
import javax.swing.border.*;
import javax.swing.event.TreeSelectionListener;
import javax.swing.event.TreeSelectionEvent;

//import org.w3c.dom.svg.SVGDocument;

//import org.apache.batik.swing.svg.SVGDocumentLoaderAdapter;
//import org.apache.batik.swing.svg.SVGDocumentLoaderEvent;
//
import org.jdom.*;
//import javax.swing.text.html.HTMLEditorKit;
//import org.jdom.input.SAXBuilder;
//import fr.jussieu.linguist.arborator.ArboratorFrame;
//import fr.jussieu.linguist.arborator.ArboratorFileFilter;
import fr.jussieu.linguist.arborator.LingTree;
//
//import org.apache.batik.swing.JSVGCanvas;
//import org.apache.batik.swing.svg.GVTTreeBuilderAdapter;
//import org.apache.batik.swing.svg.GVTTreeBuilderEvent;
//import org.apache.batik.swing.gvt.GVTTreeRendererAdapter;
//import org.apache.batik.swing.gvt.GVTTreeRendererEvent;
//
//import org.jdom.output.XMLOutputter;
import java.awt.*;
//import com.borland.jbcl.layout.*;
//import javax.sound.sampled.*;




//!! enlever import java.awt.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2001</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class SynTopPanel extends CorrespondencePanel {


  String[] sortChoices = {"topological order", "alphabetical order", "quality order"};

  DepLinRulesEditor dre;


  public SynTopPanel(DepLinFrame frame) {
    this.depLinFrame =frame;
    inputType = "dependency";
    outputType = "topology";
    grammarType = "depTopGramm";

    try {

      jbInit();
      specialInit();
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }
  }
    //////////////////////////////////////////////////////////////////////////////

    void specialInit()
    {

//      linearTextPanel.linearTreeRoot=inputRoot;
//	outputJTreeRoot = new DefaultMutableTreeNode("topological structures");
	outputRoot = new Element("topologies");
	linearTextPanel.showInBig("Please choose a dependency tree.");

	sortBox.setToolTipText("Select the ordering of the linearizations");

	jButtonLinearize.setText("Linearize");

	jButtonLinearize.setToolTipText("Linearize and save");

	numberLabel.setText("topology n");

	jButtonLoadDefInput.setToolTipText("show this dependency tree");
	jButtonLoadInput.setText("other dependency");
	jButtonLoadInput.setToolTipText("Load dependency tree");

        jButtonPlay.setEnabled(false);

    }



/////////////////////////////
// la grammaire  //
/////////////////////////////

     void applyGrammar() throws
     ApplyGrammar.ApplyGrammarException
     {

       if(inputCanvas.lingTree==null)
	 return;

       if (dre == null||dre.isShowing()==false)
       {
	 gramFile=depLinFrame.dpl.getFileFromNumber(grammarType,grammarBox.getSelectedIndex());
	 loadGrammarFile(gramFile);
       }

       else {
	 grammar=dre.grammar;
	 gramFile=dre.grammarFile;
       }

       grammarRoot = grammar.getRootElement();

       long start = new Date().getTime();
       final ApplyGrammar applyGrammar;

       final   DepLinProgress progress = new DepLinProgress();
       progress.pack();

       Dimension progSize = new Dimension(400,100);
       progress.setSize(progSize);
       Dimension frmSize = getSize();
       Point loc = getLocation();
       progress.setLocation((frmSize.width - progSize.width) / 2 + loc.x, (frmSize.height - progSize.height) / 2 + loc.y);
       applyGrammar = new ApplyGrammar(grammarRoot,
				       menuSettings.applyWellFormedness,
				       menuSettings.tracing,
				       inputCanvas.lingTree.rootEle);
//    progress.progressBar.setMaximum((int) Math.pow(2,applyGrammar.numberWords));
     progress.progressBar.setIndeterminate(true);
       final int numberwords=applyGrammar.placed.size();

       timer = new javax.swing.Timer(1000, new ActionListener() {
//	   String words;
	   public void actionPerformed(ActionEvent evt) {
	       progress.progressBar.setValue((int) Math.pow(2,applyGrammar.placedNumber));
	       progress.numberLabel.setText("we found "+applyGrammar.numberTop+" topologies.");

//      +(int) Math.pow(2,applyGrammar.numberWords+1)+"==="+applyGrammar.placedNumber+"*"
//      +(int) Math.pow(2,applyGrammar.placedNumber));




	       if(!applyGrammar.isAlive() || progress.stopped)
	    {
		   applyGrammar.stopped=true;
		   timer.stop();
		   progress.dispose();
	    }
	   }
       });



       applyGrammar.start();
       timer.start();

	progress.setModal(true);
	progress.show();

       while(applyGrammar.isAlive())    {   }
       outputRoot = applyGrammar.getTopologies();

       long stop = new Date().getTime();
       long time = stop - start;

       outputDoc.setRootElement(outputRoot);

       int numberOutputs = outputRoot.getChildren().size();

       String resultText;
       String htmlText;
       if (numberOutputs == 1)  resultText = "Exactly 1 topology was found ";
       else resultText = numberOutputs+" topologies were found ";
       resultText += "in " + time + " milliseconds.";

       if(menuSettings.tracing)
       {
	   if(numberOutputs==1||numberOutputs==0) htmlText = "<b><font size=+1>The topological story<br></font></b><br>";

	   else htmlText = "<b><font size=+1>The " + numberOutputs + " topological stories</font></b><br>";
	   htmlText +=applyGrammar.story;
       }
       else
       {
	   htmlText = "<b><font size=+1>Grammar " + gramFile + " applied.<br>";
	   htmlText += resultText + "<br>";
	   htmlText += "<i><font color='#7D007D'>Please choose the desired linearization mode.</font></i></font></b>";
       }
		  linearTextPanel.showInBig(htmlText);

//       wortEditPane.setCaretPosition(0);
       depLinFrame.statusBar.setText(resultText);

       if (numberOutputs == 0) {
         outputJTree.setBackground(Color.lightGray);
         outputCanvas.setBackground(Color.lightGray);
         return;
       }
//test: enlev:
       secondaryOutputCanvas=depLinFrame.topPhonoPanel.inputCanvas;
       //test: enlev:
      showOutput();
       currentOutputNumber = 0;

    showOutputTree();
       enableOutputToolBars(true);

     }

     // applyGrammar end

////////////////////////////////////////////////////////////////
//











     void editGrammar(ActionEvent e) {

	 gramFile = depLinFrame.dpl.getFileFromNumber(grammarType,grammarBox.getSelectedIndex());
	 if (dre!=null)
	 {
	 if(dre.isShowing()&&dre.grammarChanged)
	   if(dre.saveQuestion()==2) // annulated ==> put things back
	       {gramFile=dre.grammarFile; grammarBox.setSelectedItem(gramFile.getName()); return;}
	 dre.dispose();
	 }

	 try
	 {
	     dre = new DepLinRulesEditor(getDocFromFile(gramFile), gramFile, depLinFrame.dpl);
	     dre.pack();

	     Dimension dreDim = dre.getSize();
	     Dimension thisDim = getSize();
	     Point loc = getLocation();
	     dre.setLocation(loc.x+thisDim.width-dreDim.width,loc.y+thisDim.height-dreDim.height);
	     dre.show();
	     dre.saveAsbutton.addActionListener(new java.awt.event.ActionListener() {
		 public void actionPerformed(ActionEvent e) {
		     dre.saveAs();
		     updateGramNameBox(depLinFrame.dpl);
		 }
	     });
	 }
	     catch (Exception eee)
	     {   eee.printStackTrace();	  }



	 }



         void newGrammar(ActionEvent e) {

//     gramFile = depLinFrame.dpl.getFileFromNumber(grammarType,grammarBox.getSelectedIndex());
             gramFile = new File("qqqq.xml");
              if (dre!=null)
              {
                if(dre.isShowing()&&dre.grammarChanged)
                  if(dre.saveQuestion()==2) // annulated ==> put things back
                                        {gramFile=dre.grammarFile; grammarBox.setSelectedItem(gramFile.getName()); return;}
                dre.dispose();
              }

              try
              {
//       dre = new DepLinRulesEditor(getDocFromFile(gramFile), gramFile, depLinFrame.dpl);
                dre = new DepLinRulesEditor(null, gramFile, depLinFrame.dpl);
                dre.pack();

                Dimension dreDim = dre.getSize();
                Dimension thisDim = getSize();
                Point loc = getLocation();
                dre.setLocation(loc.x+thisDim.width-dreDim.width,loc.y+thisDim.height-dreDim.height);
                dre.show();
                dre.saveAsbutton.addActionListener(new java.awt.event.ActionListener() {
                  public void actionPerformed(ActionEvent e) {
                    dre.saveAs();
                    updateGramNameBox(depLinFrame.dpl);
                  }
                });
              }
              catch (Exception eee)
                  {   eee.printStackTrace();	  }



   }









}
